extends ../_docs-template

block vars
  - var title = 'Checkbox | Framework7 Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu
  .docs-content
    .motion-docs-page-title
      h1 Checkbox
      script(src="/js/motion/checkbox.js")
      f7-motion-checkbox(motion)

    h2 Checkbox Layout
    p Checkbox layout is pretty simple:
    :code(lang="html")
          <!-- checkbox element -->
          <label class="checkbox">
            <!-- checkbox input -->
            <input type="checkbox" />
            <!-- checkbox icon -->
            <i class="icon-checkbox"></i>
          </label>
    h2 Checkbox Group/List
    p To create Checkbox group/list we need to use <a href="list-view.html">List View</a> with few additions:
    :code(lang="html")
          <div class="list">
            <ul>
              <!-- Single checkbox item -->
              <li>
                <label class="item-checkbox item-content">
                  <!-- Checkbox input -->
                  <input type="checkbox" />
                  <!-- Checkbox icon -->
                  <i class="icon icon-checkbox"></i>
                  <div class="item-inner">
                    <!-- Checkbox Title -->
                    <div class="item-title">Books</div>
                  </div>
                </label>
              </li>
              <!-- Another checkbox item -->
              <li>
                <label class="item-checkbox item-content">
                  <!-- Checked by default -->
                  <input type="checkbox" checked />
                  <i class="icon icon-checkbox"></i>
                  <div class="item-inner">
                    <div class="item-title">Music</div>
                  </div>
                </label>
              </li>
              ...
            </ul>
          </div>
    .important-note
      ul
        li `item-content` must be a `<label>` element with additional `item-checkbox` class
        li Checkbox input (`<input type="checkbox" />`) must be a first child of `item-content`
        li Checkbox icon must be <b>after</b> checkbox input
    h2 Indeterminate State
    p Framework7 comes with visual support for indeterminate checkbox state.
    p In HTML it is not possible to set this state with attribute, it can be set only via JavaScript:
    :code(lang="html")
      <input type="checkbox" id="my-checkbox" />
    :code(lang="js")
      var checkboxEl = document.querySelector('#my-checkbox');
      checkboxEl.indeterminate = true;
    p Or with Dom7
    :code(lang="js")
      var $checkboxEl = $('#my-checkbox');
      $checkboxEl.prop('indeterminate', true);
    p But if you use it with <a href="./router-component.html">Router Component</a> then it will automatically detect this attribute and set it as element property, so it can be used in templates:
    :code(lang="html")
      <input type="checkbox" {{#if something}}indeterminate{{/if}} id="my-checkbox" />

    h3 Checkbox Icon Position
    p By default checkbox list item icon is displayed in the beginning of the list item.
    p And it is possible to override this behavior to specify position of checkbox list item icon - in the beginning or in the end of the list item.
    p To do this, we need to add additional `item-checkbox-icon-start` or `item-checkbox-icon-end` class to `item-checkbox`:
    ```html
      <!-- Additional "item-checkbox-icon-end" class will force checkbox icon to appear in the beginning of the list item for all themes -->
      <li>
        <!-- Additional "item-checkbox-icon-end" class -->
        <label class="item-checkbox item-checkbox-icon-end item-content">
          <!-- Checkbox input -->
          <input type="checkbox" />
          <!-- Checkbox icon -->
          <i class="icon icon-checkbox"></i>
          <div class="item-inner">
            <!-- Checkbox Title -->
            <div class="item-title">Books</div>
          </div>
        </label>
      </li>
    ```

    +cssVars('checkbox')


    h2 Examples
    +examplePreview('core', 'checkbox.html', 'checkbox')
